// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: RatioEeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Ratio source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: RatioEeCorrector.h,v 1.2 2006/06/07 14:31:35 rsaxton Exp $

#ifndef RatioEeCorrector_H
#define RatioEeCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "IterEeCorrector.h"
#include "Xmm.h"
#include "Region.h"

class RatioEeCorrector : public EeCorrector
{
public:

  /* Constructor */
  RatioEeCorrector(Xmm::Mode windowMode, const GeoRegion &region);

  /* Destructor */
  ~RatioEeCorrector();

  /* Return ratio at a set of energies */
  vector<double> Fraction( const vector<double>& energyvector) const;

private:

  double _ratio;
};

#endif
