// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: RealPileupCorrector
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: RealPileupCorrector.h,v 1.2 2010/03/23 08:36:09 rsaxton Exp $

#ifndef RealPileupCorrector_H
#define RealPileupCorrector_H

// General classes

#include <iostream>

// SAS-specific classes

// General utility functions
#include "Tracer.h"

// Local classes
#include "PileupCorrector.h"

// ===========================================================================

// class RealPileupCorrector

// Abstract class for RealPileupCorrector objects

// ===========================================================================

class RealPileupCorrector : public PileupCorrector
{
public:

  //  Constructors 
  RealPileupCorrector()
    {
      PROC;
      errstr << " Real Pileup Corrector being used. " 
	     << Sas::message(Msg::App,Msg::Verbose);
      ENDPROC;
    };

  //  Destructors 
  ~RealPileupCorrector(){PROC; ENDPROC;}

  double correction( double /* energy */, double /* spatialDensity */) const
    {
      PROC;
	
      double unaffected_fraction=1.0;

     /* Here we call the PileUpRateMap */

      RETURN unaffected_fraction;
    }
};
#endif
